# $Revision: 1.12 $, $Date: 2009/08/26 11:34:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Quaternion
Summary:	Math::Quaternion - Perl class to represent quaternions
Summary(pl.UTF-8):	Math::Quaternion - klasa Perla do reprezentowania kwaternionów
Name:		perl-Math-Quaternion
Version:	0.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	818e88923c99053f26317acd4c61adfd
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	perl-Test-Simple}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package lets you create and manipulate quaternions. A
quaternion is a mathematical object developed as a kind of
generalization of complex numbers, usually represented by an array
of four real numbers, and is often used to represent rotations in
three-dimensional space.

%description -l pl.UTF-8
Ten pakiet pozwala na tworzenie oraz wykorzystywanie kwaternionów w
obliczeniach. Kwaternion to obiekt matematyczny wymyślony jako rodzaj
uogólnienia liczb zespolonych, zazwyczaj reprezentowany jako tablica
czterech liczb rzeczywistych, często używany do reprezentowania
obrotów w przestrzeni trójwymiarowej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Math/Quaternion.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Quaternion.spec,v $
Revision 1.12  2009/08/26 11:34:04  amateja
./perl-Math-Quaternion/perl-Math-Quaternion.spec

Revision 1.11  2008/07/27 22:43:23  arekm
- release 2

Revision 1.10  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:35  paladine
- formatting

Revision 1.7  2004/07/11 19:33:37  adamg
- updated to 0.02

Revision 1.6  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/23 07:50:18  ankry
- license fixes, unification

Revision 1.4  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.3  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.2  2003/07/17 22:15:19  qboosh
- removed junk

Revision 1.1  2003/06/29 21:11:30  qboosh
- new
